function Blin = BlinFunT(t)

global t_star
global theta_star dtheta_star d2theta_star
global n

% Interpolate to find values of [theta,dtheta,d2theta]
theta = interp1(t_star,theta_star,t);
dtheta = interp1(t_star,dtheta_star,t);
d2theta = interp1(t_star,d2theta_star,t);
z = zeros(n-1,1);

K = 2*dtheta/alphaFun(theta);
Blin = [K*gvFun(theta,dtheta,d2theta,z,z,z);
        zeros(n-1);
        eye(n-1)];

end