function I = InertiaTensor(m, r)
x = r(1); y = r(2); z = r(3);

I = [m*(y^2+z^2),   -m*x*y,         -m*x*z;
     -m*x*z,        m*(x^2+z^2),    -m*y*z;
     -m*x*z,        -m*y*z,         m*(x^2+y^2)];
end