function x_perp = xPerp_sim(q,dq)

global theta_star dtheta_star
global theta_s Psi1_s Psi2_s

theta   = q(end);
dtheta  = dq(end);
theta0  = theta_star(1);
dtheta0 = dtheta_star(1);

% I = IFun_sim(theta,dtheta);
Psi_h = interp1(theta_s,Psi1_s,theta,'spline');
Psi_p = interp1(theta_s,Psi2_s,theta,'spline');
I = dtheta ^2 - Psi_h*dtheta0^2 + Psi_p;

y_full = q - PhiFun(theta);
dy_full = dq - dPhiFun(theta)*dtheta;

y = y_full(1:end-1);
dy = dy_full(1:end-1);

x_perp = [I;y;dy];

if max(isnan(x_perp))>0 || max(isempty(x_perp))>0
    x_perp
end

end