function Alin = AlinFunT(t)

global t_star;
global theta_star;
global dtheta_star;
global d2theta_star;
global n

% Interpolate to find values of [theta,dtheta,d2theta]
theta = interp1(t_star,theta_star,t);
dtheta = interp1(t_star,dtheta_star,t);
d2theta = interp1(t_star,d2theta_star,t);

z = zeros(n-1,1);
% Alin = [k1fun(theta,dtheta,d2theta,z,z,z),  k2fun(theta,dtheta,d2theta,z,z,z),  k3fun(theta,dtheta,d2theta,z,z,z);
%         zeros(n-1,1),                       zeros(n-1),                         eye(n-1);
%         zeros(n-1,1),                       zeros(n-1),                         zeros(n-1)];
    
K = 2*dtheta/alphaFun(theta);
Alin = [K*(gIFun(theta,dtheta,d2theta,z,z,z)-betaFun(theta)), K*gyFun(theta,dtheta,d2theta,z,z,z), K*gdyFun(theta,dtheta,d2theta,z,z,z);
        zeros(n-1,1), zeros(n-1), eye(n-1);
        zeros(n-1,1), zeros(n-1), zeros(n-1)];

end