function v = controlLaw(t, x)
% For use in the Simulink model

global Pmin t_star
global n

t0 = t_star(1);
tend = t_star(end);

if t < t0 || t > tend
    error('t must be in t_star');
end

v = -reshape(bezier(t,Pmin,t0,tend),[],2*n-1)*x;

end